Bug 596452 (CVE-2010-1410) - CVE-2010-1410 WebKit: memory corruption vulnerability in handling of nested 'use' elements in SVG documents
Summary: CVE-2010-1410 WebKit: memory corruption vulnerability in handling of nested '...
Status: CLOSED WONTFIX
Alias: CVE-2010-1410
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20100607,repor...
Keywords: Security
Depends On:
Blocks: 806808
TreeView+ depends on / blocked
 
Reported: 2010-05-26 19:01 UTC by Vincent Danen
Modified: 2019-06-08 13:00 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-08-05 08:16:27 UTC


Attachments (Terms of Use)

Description Vincent Danen 2010-05-26 19:01:03 UTC
A memory corruption issue exists in WebKit's handling of nested 'use' elements in SVG documents. Visiting a maliciously crafted website may lead to an unexpected application termination or arbitrary code execution. This issue is addressed through improved handling of nested 'use' elements in SVG documents.

References:

Bugzilla: https://bugs.webkit.org/show_bug.cgi?id=35603
Trac: http://trac.webkit.org/changeset/55511

Acknowledgements:

Red Hat would like to thank Drew Yao of Apple Product Security for responsibly reporting this issue. Upstream acknowledges Aki Helin of OUSPG as the original reporter.

Comment 8 Jan Lieskovsky 2010-06-08 16:42:47 UTC
Public via:
  [1] http://support.apple.com/kb/HT4196


Note You need to log in before you can comment on or make changes to this bug.